# classes/phing/tasks/system/SequentialTask.php

## \SequentialTask
jump to top

Sequential is a container task that contains other Phing Task objects.

The sequential task has no attributes and does not support any nested elements apart from Ant tasks. Any valid Ant task may be embedded within the sequential task.

Extends from
  \Task
Implements
  \TaskContainer
author
  Andreas Aderhold
copyright
  2001,2002 THYRELL. All rights reserved
package
  phing.tasks.system
since
  2.1.2
version
  $Revision: 912 $

### Properties

`$nestedTasks= 'array'`

Optional Vector holding the nested tasks

Default value `array` Details

Type

### Methods

`addTask( \Task $nestedTask ) :`
Add a nested task to Sequential.
Parameters

Name | Type | Description
--- | --- | ---
$nestedTask | \Task | Nested task to execute Sequential

`main( ) :`
Execute all nestedTasks.
Details

throws
  if one of the nested tasks fails.

Documentation was generated by DocBlox 0.13.1.